disarray_rep< T, distributed, A >::stash_traits< U, std::true_type >

## Public Types

typedef remove_const_in_pair< typename U::value_type >::type | mapped_type
typedef std::multimap< size_type, mapped_type > | map_type

## Detailed Description

### template<class T, class A>
template<class U>
struct rheolef::disarray_rep< T, distributed, A >::stash_traits< U, std::true_type >

Definition at line 424 of file disarray.h.

## Member Typedef Documentation

## mapped_type

typedef remove_const_in_pair<typename U::value_type>::type mapped_type

Definition at line 425 of file disarray.h.

## map_type

typedef std::multimap<size_type, mapped_type> map_type

Definition at line 426 of file disarray.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-bzr82u/rheolef-7.1/linalg/lib/disarray.h